jQuery( document ).ready( function( $ ) {

    // function to display/hide pdf fonts
    function woo_vou_display_pdf_fonts() {
        // check if pdf font addon is active
        if( $('#vou_char_support').is(':checked') ) {
            $('#vou_char_support').parents('tr').next().show(); 
            if( $('#vou_pdf_font').val() == 'custom' ){
                $('#vou_pdf_font').parents('tr').next().show();
            }           
        } else {
            $('#vou_char_support').parents('tr').next().hide();
            if( $('#vou_pdf_font').val() == 'custom' ){
                $('#vou_pdf_font').parents('tr').next().hide();
            }
        }
    }
    
    // call to function to hide/show pdf fonts
    woo_vou_display_pdf_fonts();    
    
    // on click display/hide pdf fonts
    $("#vou_char_support").on( 'click', function() {        
        woo_vou_display_pdf_fonts();        
    });


    /* Jquery handler for global level START */
	if( $('#vou_pdf_font').val() != 'custom' ){
		$('#vou_pdf_font').parents('tr').next().hide();
	} 

	$('#vou_pdf_font').change(function(){
        if($('#vou_pdf_font').val() == 'custom') {
            $('#vou_pdf_font').parents('tr').next().show();
        } else {
            $('#vou_pdf_font').parents('tr').next().hide();
        } 
    });


    /*if( $('#vou_char_support').is(':checked') ) {
        $('#vou_char_support').parents('tr').next().show(); 
        if( $('#vou_pdf_font').val() == 'custom' ){
            $('#vou_pdf_font').parents('tr').next().show();
        }           
    } else {
        $('#vou_char_support').parents('tr').next().hide();
        if( $('#vou_pdf_font').val() == 'custom' ){
            $('#vou_pdf_font').parents('tr').next().hide();
        }
    }*/
    /* Jquery handler for global level END */

    /* Jquery handler for template meta level START */
    if( $('.woo_vou_pdf_font').val() != 'custom' ){
        $('.woo_vou_pdf_font').parents('tr').next().hide();
    } 

    $('.woo_vou_pdf_font').change(function(){
        if($('.woo_vou_pdf_font').val() == 'custom') {
            $('.woo_vou_pdf_font').parents('tr').next().show();
        } else {
            $('.woo_vou_pdf_font').parents('tr').next().hide();
        } 
    });
    /* Jquery handler for template meta level END */

});